import xbmc
import xbmcaddon
import xbmcgui

ADDON = xbmcaddon.Addon()
ADDONID = ADDON.getAddonInfo('id')
ADDONNAME = ADDON.getAddonInfo('name')
LANGUAGE = ADDON.getLocalizedString
DIALOG = xbmcgui.Dialog()

def getSettings():
    build_all = xbmc.getInfoLabel('System.BuildVersionShort')
    build_split = build_all.split('-')
    build = float(build_split[0])
    if float(build) >= 20.0:
        # read settings for v20
        SETTINGS = xbmcaddon.Addon().getSettings()
        getSettings.scriptName = SETTINGS.getString('scriptName')
    else:
        # read settings for v19
        getSettings.scriptName = ADDON.getSettingString('scriptName')

def main():
    getSettings()

    if not getSettings.scriptName:
        DIALOG.ok(ADDONNAME, LANGUAGE(32001))
    else:
        xbmc.executebuiltin("System.Exec(" + getSettings.scriptName +")")
        DIALOG.ok(ADDONNAME, LANGUAGE(32002) + getSettings.scriptName + LANGUAGE(32003))

